Get all initiatives

get

/fscmRestApi/resources/11.13.18.05/supplierInitiatives

Request

Query Parameters
  • This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds initiatives according to the initiative identifier.
      Finder Variables
      • InitiativeId; integer; Value that uniquely identifies the initiative.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • AssessmentEvaluationDueDate; string; Date when the assessment was due for evaluation.
    • AssessmentOwnerName; string; Value that uniquely identifies the owner of the assessment.
    • CanceledBy; string; User who canceled the initiative.
    • CanceledByName; string; Value that uniquely identifies the user who canceled the initiative.
    • CreationSource; string; Value that indicates the creation source of the initiative. Valid options are Manual, Requalification, Supplier Promotion, or Supplier Registration Approval.
    • CreationSourceCode; string; An abbreviation that identifies the creation source of the initiative. Accepted values are defined in the lookup type ORA_POQ_CREATION_SOURCE. To review the available values, use the Setup and Maintenance work area and the Manage Standard Lookups task.
    • Initiative; string; Number that's assigned to the initiative.
    • InitiativeCompletionDate; string; Date and time when the initiative was completed.
    • InitiativeId; integer; Value that uniquely identifies the initiative.
    • InitiativeOwner; string; Name of the initiative owner.
    • InitiativeOwnerId; integer; Value that uniquely identifies the owner of the initiative.
    • InitiativeOwnerName; string; Value that uniquely identifies the owner of the initiative.
    • InitiativeType; string; Value that identifies the type of initiative.
    • InitiativeTypeCode; string; An abbreviation that identifies the type of initiative. Accepted values are defined in the lookup type POQ_INITIATIVE_TYPE. To review the available values, use the Setup and Maintenance work area and the Manage Standard Lookups task.
    • LaunchDate; string; Date and time when the initiative was launched.
    • ProcurementBU; string; Name of the procurement business unit associated with initiative.
    • ProcurementBUId; integer; Value that uniquely identifies the procurement business unit associated with the initiative.
    • QualificationModel; string; Name of the qualification model for assessment initiative.
    • QualificationModelId; integer; Value that uniquely identifies the qualification model for assessment initiative.
    • QualificationModelRevision; integer; Revision of the qualification model for assessment initiative.
    • SendIntQstnrDefaultOption; string; Value that indicates the default setting for sending the questionnaire to an internal responder.
    • SendIntQstnrDefaultOptionCode; string; Abbreviation that indicates the default setting for sending the questionnaire to an internal responder.
    • SendSupQstnrDefaultOption; string; Value that indicates the default setting for sending the questionnaire to a supplier.
    • SendSupQstnrDefaultOptionCode; string; Abbreviation that indicates the default setting for sending the questionnaire to a supplier.
    • Status; string; Status of the initiative.
    • StatusCode; string; Abbreviation that identifies the status of the initiative. Accepted values are defined in the lookup type POQ_INITIATIVE_STATUS. To review the available values, use the Setup and Maintenance work area and the Manage Standard Lookups task.
    • Title; string; Title of the initiative entered by the user.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • This header accepts a string value. The string is a semi-colon separated list of =. It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers.
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : supplierInitiatives
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : supplierInitiatives-item-response
Type: object
Show Source
  • Title: Evaluation Due Date
    Date when the assessment was due for evaluation.
  • Title: Assessment Owner
    Maximum Length: 240
    Name of the assessment owner.
  • Value that uniquely identifies the owner of the assessment.
  • Title: Name
    Read Only: true
    Maximum Length: 240
    Value that uniquely identifies the owner of the assessment.
  • Attachments
    Title: Attachments
    The attachments resource is used to view, create, and update attachments.
  • Title: Automatically Accept Responses
    Maximum Length: 1
    A value that indicates whether to automatically accept questionnaire responses. It can be either true or false. If true, the response is automatically accepted. If false, the qualification manager must manually accept the response. The default value is false.
  • Title: Automatically Populate Responses
    Maximum Length: 1
    A value that indicates whether to default responses from the response repository. It can be either true or false. If true, the response from the repository is set as the default on the questionnaire. If false, the response isn't set as the default. The default value is false.
  • Title: Canceled By
    Read Only: true
    Maximum Length: 240
    User who canceled the initiative.
  • Value that uniquely identifies the user who canceled the initiative.
  • Title: Name
    Read Only: true
    Maximum Length: 240
    Value that uniquely identifies the user who canceled the initiative.
  • Title: Canceled Reason
    Maximum Length: 1000
    Reason for the cancellation of the initiative specified by the user.
  • Read Only: true
    Date and time when the initiative is created.
  • Title: Creation Source
    Read Only: true
    Maximum Length: 80
    Value that indicates the creation source of the initiative. Valid options are Manual, Requalification, Supplier Promotion, or Supplier Registration Approval.
  • Maximum Length: 80
    An abbreviation that identifies the creation source of the initiative. Accepted values are defined in the lookup type ORA_POQ_CREATION_SOURCE. To review the available values, use the Setup and Maintenance work area and the Manage Standard Lookups task.
  • Title: Description
    Maximum Length: 250
    Description of the initiative entered by the user.
  • DFF
  • Evaluation Team Member for Supplier Initiatives
    Title: Evaluation Team Member for Supplier Initiatives
    Evaluation team members on an initiative are retrieved.
  • Title: Initiative
    Maximum Length: 30
    Number that's assigned to the initiative.
  • Title: Cancellation Date
    Date and time when the initiative was canceled.
  • Title: Completion Date
    Date and time when the initiative was completed.
  • Value that uniquely identifies the initiative.
  • Title: Initiative Owner
    Maximum Length: 240
    Name of the initiative owner.
  • Value that uniquely identifies the owner of the initiative.
  • Title: Name
    Read Only: true
    Maximum Length: 240
    Value that uniquely identifies the owner of the initiative.
  • Title: Internal survey
    Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, the initiative is of type survey and allows responses from multiple internal responders to be used for qualification evaluation. If false, the initiative only accepts responses from a single responder. The default value is false.
  • Title: Initiative Type
    Maximum Length: 80
    Value that identifies the type of initiative.
  • Maximum Length: 30
    An abbreviation that identifies the type of initiative. Accepted values are defined in the lookup type POQ_INITIATIVE_TYPE. To review the available values, use the Setup and Maintenance work area and the Manage Standard Lookups task.
  • Title: Internal Note
    Maximum Length: 4000
    Internal notes for the initiative entered by the user.
  • Title: Last Overdue Reminder Date
    Date and time when the last overdue reminder notification was sent to an internal responder for the overdue initiative.
  • Title: Last Supplier Overdue Reminder Date
    Date and time when the last overdue reminder notification was sent to an external responder for the overdue initiative.
  • Title: Launch Date
    Date and time when the initiative was launched.
  • Links
  • Title: Procurement BU
    Maximum Length: 240
    Name of the procurement business unit associated with initiative.
  • Value that uniquely identifies the procurement business unit associated with the initiative.
  • Qualification Areas for Supplier Initiatives
    Title: Qualification Areas for Supplier Initiatives
    Qualification areas for an initiative are retrieved.
  • Title: Qualification Model
    Maximum Length: 80
    Name of the qualification model for assessment initiative.
  • Value that uniquely identifies the qualification model for assessment initiative.
  • Title: Qualification Model Revision
    Read Only: true
    Default Value: 0
    Revision of the qualification model for assessment initiative.
  • Title: Qualification Model Status
    Read Only: true
    Maximum Length: 80
    Status of the qualification model for assessment initiative.
  • Title: Qualification Model Status Code
    Read Only: true
    Maximum Length: 30
    Default Value: DRAFT
    Abbreviation that identifies the status of the qualification model. Accepted values are defined in the lookup type POQ_QUAL_MODEL_STATUS. To review the available values, use the Setup and Maintenance work area and the Manage Standard Lookups task.
  • Initiative Questionnaires
    Title: Initiative Questionnaires
    The questionnaires generated during the initiative creation process. Supplier-type questionnaires are sent to suppliers, while internal responder-type questionnaires are sent to workers from the qualifying enterprise.
  • Title: Reuse Active Qualification
    Maximum Length: 1
    Value that indicates if existing active qualifications can be reused for the assessment type of initiative. The assessment type of initiative contains the following values: true or false. If true and if a valid reusable active qualification exists, then the qualification should be used in initiative. If true and if no valid reusable qualification exists, then the initiative will create a draft qualification. If false, then qualifications will be created for the qualification area. This attribute doesn't have a default value.The qualification type of initiative contains a null value.
  • Title: Meaning
    Read Only: true
    Maximum Length: 80
    Value that indicates the default setting for sending the questionnaire to an internal responder.
  • Maximum Length: 30
    Default Value: ORA_OPTIONAL
    Abbreviation that indicates the default setting for sending the questionnaire to an internal responder.
  • Title: Meaning
    Read Only: true
    Maximum Length: 80
    Value that indicates the default setting for sending the questionnaire to a supplier.
  • Maximum Length: 30
    Default Value: ORA_OPTIONAL
    Abbreviation that indicates the default setting for sending the questionnaire to a supplier.
  • Title: Initiative Status
    Read Only: true
    Maximum Length: 80
    Status of the initiative.
  • Maximum Length: 30
    Abbreviation that identifies the status of the initiative. Accepted values are defined in the lookup type POQ_INITIATIVE_STATUS. To review the available values, use the Setup and Maintenance work area and the Manage Standard Lookups task.
  • Suppliers for Supplier Initiatives
    Title: Suppliers for Supplier Initiatives
    Suppliers on an initiative are retrieved.
  • Title: Title
    Maximum Length: 80
    Title of the initiative entered by the user.
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : DFF
Type: array
Show Source
Nested Schema : Evaluation Team Member for Supplier Initiatives
Type: array
Title: Evaluation Team Member for Supplier Initiatives
Evaluation team members on an initiative are retrieved.
Show Source
Nested Schema : Qualification Areas for Supplier Initiatives
Type: array
Title: Qualification Areas for Supplier Initiatives
Qualification areas for an initiative are retrieved.
Show Source
Nested Schema : Initiative Questionnaires
Type: array
Title: Initiative Questionnaires
The questionnaires generated during the initiative creation process. Supplier-type questionnaires are sent to suppliers, while internal responder-type questionnaires are sent to workers from the qualifying enterprise.
Show Source
Nested Schema : Suppliers for Supplier Initiatives
Type: array
Title: Suppliers for Supplier Initiatives
Suppliers on an initiative are retrieved.
Show Source
Nested Schema : supplierInitiatives-attachments-item-response
Type: object
Show Source
Nested Schema : supplierInitiatives-DFF-item-response
Type: object
Show Source
Nested Schema : supplierInitiatives-evaluationTeamMembers-item-response
Type: object
Show Source
Nested Schema : supplierInitiatives-qualificationAreas-item-response
Type: object
Show Source
  • Title: Display Sequence
    Display sequence of the qualification area added to a qualification kind of initiative.
  • Title: Qualification Evaluation Due Date
    Date when the qualification was due for evaluation.
  • Read Only: true
    Maximum Length: 255
    Indicates that there is an inactive question in the initiative's qualification area.
  • Read Only: true
    Maximum Length: 1
    Contains one of the following values: true or false. If true, then a qualification based on this qualification area will be evaluated or will be used for information only purposes. If false, then the qualification won't be used for information only process. The default value is false.
  • Value that uniquely identifies the qualification area.
  • Links
  • Value that uniquely identifies the original qualification area.
  • Title: Owner
    Maximum Length: 240
    Name of the qualification area owner.
  • Value that uniquely identifies the name of the qualification area owner.
  • Title: Name
    Read Only: true
    Maximum Length: 240
    Value that uniquely identifies the name of the qualification area owner.
  • Title: Meaning
    Read Only: true
    Maximum Length: 80
    Value that identifies whether the area is relevant to a supplier or to a supplier site.
  • Read Only: true
    Maximum Length: 30
    Abbreviation that identifies whether the area is relevant to a supplier or to a supplier site. A list of accepted values is defined in the lookup type POQ_QUAL_AREA_LEVEL. Review the values for this attribute using the Setup and Maintenance work area, and the Manage Standard Lookups task.
  • Title: Qualification Area
    Maximum Length: 80
    Name of the qualification area entered by the user.
  • Title: Description
    Read Only: true
    Maximum Length: 1000
    Description of the qualification area entered by user.
  • Value that uniquely identifies the qualification area.
  • Title: Revision
    Read Only: true
    Number that identifies the current version of the qualification area definition.
  • Title: Status
    Read Only: true
    Maximum Length: 80
    Status of the qualification area.
  • Read Only: true
    Maximum Length: 30
    Abbreviation that identifies the status of the qualification area. Accepted values are defined in the lookup type POQ_QUAL_AREA_STATUS. To review the available values, use the Setup and Maintenance work area and the Manage Standard Lookups task.
  • Title: Synchronization Check
    Maximum Length: 1
    A value that indicates whether the acceptable response to a supplier attribute question is synchronized with the supplier profile. It can be either true or false. If true, the synchronization check has passed for the qualification area. If false, the synchronization check has failed. This attribute doesn't have a default value.
Nested Schema : supplierInitiatives-questionnaires-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : Questionnaire Sections
Type: array
Title: Questionnaire Sections
Various sections included in the questionnaire are presented.
Show Source
Nested Schema : Questionnaire Translations
Type: array
Title: Questionnaire Translations
The translations of the questionnaire were generated during the initiative creation process.
Show Source
Nested Schema : supplierInitiatives-questionnaires-questionnaireAttachments-item-response
Type: object
Show Source
Nested Schema : supplierInitiatives-questionnaires-questionnaireSections-item-response
Type: object
Show Source
Nested Schema : Questions
Type: array
Title: Questions
List of questions for each section within the questionnaire are presented.
Show Source
Nested Schema : Questionnaire Section Translations
Type: array
Title: Questionnaire Section Translations
Various section translations included in the questionnaire are presented.
Show Source
Nested Schema : supplierInitiatives-questionnaires-questionnaireSections-questionnaireQuestions-item-response
Type: object
Show Source
Nested Schema : Acceptable Responses
Type: array
Title: Acceptable Responses
Acceptable responses for each of the questions included in the questionnaire are presented.
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : supplierInitiatives-questionnaires-questionnaireSections-questionnaireQuestions-questionnaireAcceptableResponses-item-response
Type: object
Show Source
Nested Schema : supplierInitiatives-questionnaires-questionnaireSections-questionnaireQuestions-questionnaireQuestionAttachments-item-response
Type: object
Show Source
Nested Schema : supplierInitiatives-questionnaires-questionnaireSections-questionnaireSectionTranslations-item-response
Type: object
Show Source
Nested Schema : supplierInitiatives-questionnaires-questionnaireTranslations-item-response
Type: object
Show Source
Nested Schema : supplierInitiatives-suppliers-item-response
Type: object
Show Source
  • Read Only: true
    Maximum Length: 1
    Indicates whether there are active or future qualifications for the selected supplier and qualification areas related to the initiative.
  • Title: Incomplete Qualifications
    Read Only: true
    Number of supplier qualifications that aren't finalized.
  • Value that uniquely identifies the supplier.
  • Read Only: true
    Maximum Length: 1
    Indicates whether draft or evaluation qualifications exist for the selected supplier and qualification areas within the initiative.
  • Title: Internal Responder
    Maximum Length: 240
    Name of the internal responder.
  • Value that uniquely identifies the internal responder.
  • Title: Name
    Read Only: true
    Maximum Length: 240
    Value that uniquely identifies the internal responder.
  • Links
  • Suppliers for Supplier Initiatives
    Title: Suppliers for Supplier Initiatives
    The Questionnaire Responses resource stores response details such as response comment, and acceptance note for each question on the questionnaire sent to suppliers and internal responders.
  • Title: Response Pulled
    Maximum Length: 1
    Value that indicates whether the response has been pulled for this supplier as part of an initiative or not. Contains one of the following values: true or false. If true, then data is pulled from the profile into the repository. If false, then data isn't pulled from the profile into the repository. This attribute doesn't have a default value.
  • Title: Send Internal Questionnaire
    Maximum Length: 1
    Contains one of the following values: true or false. If true, the questionnaire is sent to the internal responder. If false, it's not. The default value is true if any required questions in the internal questionnaire are missing in the response repository. Otherwise, the default value is false. This attribute applies to both qualification and assessment-type initiatives.
  • Title: Send Supplier Questionnaire
    Maximum Length: 1
    Contains one of the following values: true or false. If true, the questionnaire is sent to the supplier contact. If false, it's not. The default value is true if any required questions in the supplier questionnaire are missing in the response repository. Otherwise, the default value is false. This attribute applies to both qualification and assessment-type initiatives.
  • Title: Supplier
    Maximum Length: 360
    Name of the supplier.
  • Title: Supplier Contact
    Maximum Length: 255
    Name of the supplier contact.
  • Read Only: true
    Maximum Length: 255
    Name of the supplier contact.
  • Value that uniquely identifies the supplier contact.
  • Value that uniquely identifies the supplier.
  • Title: Supplier Number
    Maximum Length: 30
    Number that identifies the supplier.
  • Title: Supplier Site
    Maximum Length: 240
    Name of the supplier site.
  • Value that uniquely identifies the supplier site.
Nested Schema : Suppliers for Supplier Initiatives
Type: array
Title: Suppliers for Supplier Initiatives
The Questionnaire Responses resource stores response details such as response comment, and acceptance note for each question on the questionnaire sent to suppliers and internal responders.
Show Source
Nested Schema : supplierInitiatives-suppliers-questionnaireResponses-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to get all initiatives.

Example cURL Command

Use the following cURL command to submit a request on the REST resource:

curl -u username:password "https://servername/fscmRestApi/resources/version/supplierInitiatives"

Example Response Body

The following shows an example of the response body in JSON format.

{
	"items": [
	{
		"InitiativeId": 300100194001116,
		"Initiative": "450",
		"Title": "Assessments for Preferred Supplier Program",
		"Description": "This Initiative is to assess and qualify suppliers for the Preferred supplier program.",
		"StatusCode": "IN_PROGRESS",
		"Status": "In progress",
		"InitiativeTypeCode": "ASSESSMENT",
		"InitiativeType": "Assessment",
		"ProcurementBUId": 204,
		"ProcurementBU": "Vision Operations",
		"InitiativeOwnerId": 100010026863783,
		"InitiativeOwner": "Furey,Clare",
		"InternalNote": null,
		"QualificationModelId": 300100194001110,
		"QualificationModel": "Preferred Supplier Program",
		"QualificationModelStatusCode": "ACTIVE",
		"QualificationModelStatus": "Active",
		"QualificationModelRevision": 0,
		"AssessmentOwnerId": 100010026863783,
		"AssessmentOwner": "James,Clare",
		"AssessmentEvaluationDueDate": "2020-02-29",
		"ReuseActiveQualificationFlag": true,
		"LaunchDate": "2020-02-10T19:49:51.993+00:00",
		"InitiativeCompletionDate": null,
		"InitiativeCancellationDate": null,
		"CanceledById": null,
		"CanceledBy": null,
		"CanceledReason": null,
		"CreationDate": "2020-02-10T19:31:55+00:00",
		"CreationSourceCode": "MANUAL",
		"CreationSource": "Manual",
		"AutoAcceptResponsesFlag": true,
		"AutoPopulateResponsesFlag": true,
		"LastOverdueReminderDate": null,
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001116",
			"name": "supplierInitiatives",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000017704000000017372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C78"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001116",
			"name": "supplierInitiatives",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001116/child/evaluationTeamMembers",
			"name": "evaluationTeamMembers",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001116/child/qualificationAreas",
			"name": "qualificationAreas",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001116/child/suppliers",
			"name": "suppliers",
			"kind": "collection"
		}
		]
	},
	{
		"InitiativeId": 300100194001265,
		"Initiative": "451",
		"Title": "Identify Suppliers for new manufacturing Plant",
		"Description": "This Initiative is to identify qualified suppliers for new manufacturing plant.",
		"StatusCode": "IN_PROGRESS",
		"Status": "In progress",
		"InitiativeTypeCode": "QUALIFICATION",
		"InitiativeType": "Qualification",
		"ProcurementBUId": 204,
		"ProcurementBU": "Vision Operations",
		"InitiativeOwnerId": 100010026863783,
		"InitiativeOwner": "James,Clare",
		"InternalNote": null,
		"QualificationModelId": null,
		"QualificationModel": null,
		"QualificationModelStatusCode": null,
		"QualificationModelStatus": null,
		"QualificationModelRevision": null,
		"AssessmentOwnerId": null,
		"AssessmentOwner": null,
		"AssessmentEvaluationDueDate": null,
		"ReuseActiveQualificationFlag": false,
		"LaunchDate": "2020-02-10T20:34:30.580+00:00",
		"InitiativeCompletionDate": null,
		"InitiativeCancellationDate": null,
		"CanceledById": null,
		"CanceledBy": null,
		"CanceledReason": null,
		"CreationDate": "2020-02-10T20:28:52+00:00",
		"CreationSourceCode": "MANUAL",
		"CreationSource": "Manual",
		"AutoAcceptResponsesFlag": false,
		"AutoPopulateResponsesFlag": true,
		"LastOverdueReminderDate": null,
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001265",
			"name": "supplierInitiatives",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000017704000000017372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C78"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001265",
			"name": "supplierInitiatives",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001265/child/evaluationTeamMembers",
			"name": "evaluationTeamMembers",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001265/child/qualificationAreas",
			"name": "qualificationAreas",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives/300100194001265/child/suppliers",
			"name": "suppliers",
			"kind": "collection"
		}
		]
	}
	],
	"count": 2,
	"hasMore": false,
	"limit": 25,
	"offset": 0,
	"links": [
	{
		"rel": "self",
		"href": "https://servername/fscmRestApi/resources/version/supplierInitiatives",
		"name": "supplierInitiatives",
		"kind": "collection"
	}
	]
}
Back to Top